Get a provider capability matrix
const url = 'https://api.trustysweep.com/v1/providers/google_gmail';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.trustysweep.com/v1/providers/google_gmailParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Responses
Section titled “Responses”OK
object
Machine-readable capability matrix an adapter publishes. Parity is never faked.
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
False when the provider’s client credentials are not configured in this deployment.
Example
{ "id": "google_gmail", "capabilities": { "provider": "google_gmail", "family": "google", "kind": "inbox", "authorization": { "type": "oauth2", "tokenCustody": "sweep" }, "quotaSemantics": { "sharedAcross": [ "google_gmail" ], "reclaimOnTrash": "immediate" } }, "registry_state": "TRUSTY_BUILT"}Headers
Section titled “Headers”Requests allowed in the current window.
Requests remaining in the current window.
Seconds until the window resets.
Validation failed
RFC 9457 problem details.
object
Machine-readable error code from errors.json
object
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "path": "example", "message": "example" } ]}Unauthenticated
RFC 9457 problem details.
object
Machine-readable error code from errors.json
object
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "path": "example", "message": "example" } ]}Forbidden / action denied / step-up required
RFC 9457 problem details.
object
Machine-readable error code from errors.json
object
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "path": "example", "message": "example" } ]}Not found
RFC 9457 problem details.
object
Machine-readable error code from errors.json
object
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "path": "example", "message": "example" } ]}Rate limited
RFC 9457 problem details.
object
Machine-readable error code from errors.json
object
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "path": "example", "message": "example" } ]}Headers
Section titled “Headers”Seconds to wait before retrying.
Requests allowed in the current window.
Requests remaining in the current window.
Seconds until the window resets.
Internal error
RFC 9457 problem details.
object
Machine-readable error code from errors.json
object
Examplegenerated
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "path": "example", "message": "example" } ]}